## sra-sdk 2.8.2

=== test/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

by_default: runtests

TOP ?= $(abspath ..)
MODULE = test

include $(TOP)/build/Makefile.shell

include $(TOP)/build/Makefile.config

#-------------------------------------------------------------------------------
# default
#
SUBDIRS =    \
	vdb-config      \
	fastq-loader    \
	vcf-loader      \
	kget            \
	general-loader  \
	vschema         \
	align-info      \
	align-cache     \
	vdb-dump        \
	vdb-validate    \
	kar             \
	copycat         \
	fastdump        \
	vdb-copy        \
	qual-recalib-stat \
	sra-pileup      \
	srapath         \
	fuse            \

# under construction
#    ngs-pileup      \

# common targets for non-leaf Makefiles; must follow a definition of SUBDIRS
include $(TOP)/build/Makefile.targets

$(SUBDIRS):
	@ $(MAKE) -C $@

.PHONY: default $(SUBDIRS)

=== tools/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

by_default: default

TOP ?= $(abspath ..)
MODULE = tools

include $(TOP)/build/Makefile.shell

include $(TOP)/build/Makefile.config

#-------------------------------------------------------------------------------
# default
#
SUBDIRS =             \
	util              \
	align-cache       \
	kar               \
	kqsh              \
	vdb-dump          \
	sra-dump          \
	sra-pileup        \
	bam-loader        \
	fastq-loader      \
	srapath           \
	sra-stat          \
	vdb-copy          \
	rd-filter-redact  \
	vdb-config        \
	align-info        \
	qual-recalib-stat \
	prefetch          \
	vdb-decrypt       \
	vdb-validate      \
	sra-sort          \
	cache-mgr         \
	vcf-loader        \
	copycat           \
	sra-load          \
	ccextract         \
	pacbio-load       \
	fuse              \
	vdb-diff          \
	kget              \
	ngs-pileup        \
	general-loader    \
	fastdump          \

ifneq (win,$(BUILD_OS))
ifneq (rwin,$(BUILD_OS))
	SUBDIRS += cg-load pileup-stats
endif
endif

# common targets for non-leaf Makefiles; must follow a definition of SUBDIRS
include $(TOP)/build/Makefile.targets

$(SUBDIRS):
	@ $(MAKE) -C $@

.PHONY: default $(SUBDIRS)

#-------------------------------------------------------------------------------
# pass-through
#
out debug profile release GCC ICC VC++:
	@ $(MAKE) TOP=$(TOP) -f $(TOP)/build/Makefile.env $@

.PHONY: out debug profile release GCC ICC VC++

=== test/align-cache/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

default: runtests

TOP ?= $(abspath ../..)

MODULE = test/align-cache

TEST_TOOLS = \

ALL_TOOLS = \
	$(TEST_TOOLS) \

include $(TOP)/build/Makefile.env

$(ALL_TOOLS): makedirs
	@ $(MAKE_CMD) $(TEST_BINDIR)/$@

.PHONY: $(TEST_TOOLS)

clean: stdclean

#-------------------------------------------------------------------------------
# align-cache tool tests
#
runtests: align-cache


align-cache: $(BINDIR)/align-cache
	@ rm -rf CSRA_file.cache
	@ echo "vdb/schema/paths = \"$(VDB_INCDIR)\"" > tmp.kfg
	@ export VDB_CONFIG=`pwd`; $(BINDIR)/align-cache -t 10 --min-cache-count 1 CSRA_file CSRA_file.cache
	@ $(BINDIR)/vdb-validate CSRA_file.cache/ 2>&1 | grep --quiet "is consistent"
	@ rm tmp.kfg
	@ rm -rf CSRA_file.cache
	
vg: $(BINDIR)/align-cache
	valgrind --ncbi --suppressions=$(SRCDIR)/valgrind.suppress $(BINDIR)/align-cache -t 10 --min-cache-count 1 CSRA_file CSRA_file.cache

=== test/align-info/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

default: runtests

TOP ?= $(abspath ../..)

MODULE = test/align-info

TEST_TOOLS = \

include $(TOP)/build/Makefile.env

$(TEST_TOOLS): makedirs
	@ $(MAKE_CMD) $(TEST_BINDIR)/$@

.PHONY: $(TEST_TOOLS)

clean: stdclean

#-------------------------------------------------------------------------------
# runtests
runtests: cmdline

cmdline:
	# make sure -h does not crash
	$(BINDIR)/align-info -h

=== test/copycat/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

default: runtests

TOP ?= $(abspath ../..)

MODULE = test/copycat

TEST_TOOLS = \

include $(TOP)/build/Makefile.env

$(TEST_TOOLS): makedirs
	@ $(MAKE_CMD) $(TEST_BINDIR)/$@

.PHONY: $(TEST_TOOLS)

clean: stdclean

#-------------------------------------------------------------------------------
# scripted tests
#
ifeq (1,$(HAVE_MAGIC))
runtests: copy
else
runtests:
	@ echo "NOTE - copycat tests are skipped:"          \
		"copycat was not built"
	@ echo "because it requires our internal library 'libkff'" \
		"which requires 'libmagic' and its development headers."
endif

copy: 
	@ echo "Starting copycat tests..."
	@ rm -rf actual
	@ $(BINDIR)/copycat -h >/dev/null
	@ export PATH=$(BINDIR):$$PATH; vdb-config | grep bin; copycat ./input/1.xml actual/ >/dev/null && diff ./input/1.xml actual/1.xml 
	@ rm -rf actual

=== test/fastdump/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

default: runtests

TOP ?= $(abspath ../..)

MODULE = test/fastdump

TEST_TOOLS = 

include $(TOP)/build/Makefile.env

.PHONY: $(TEST_TOOLS)

slowtests: fastdump1 fastdump2

ACC = SRR341578
SCRATCH = /tmp/$(shell whoami)/
THREADS = 4

fastdump1: prepare $(BINDIR)/fastdump $(BINDIR)/vdb-dump
	@ mkdir -p $(SCRATCH)
	@./test_no_1.sh $(ACC) $(SCRATCH) $(THREADS) $(BINDIR)

fastdump2: $(BINDIR)/fastdump $(BINDIR)/vdb-dump
	@ mkdir -p $(SCRATCH)
	@./test_no_2.sh $(ACC) $(SCRATCH) $(THREADS) $(BINDIR)

prepare:
	@ export BINDIR=$(BINDIR) ; export VDB_INCDIR=$(VDB_INCDIR) ; \
        ./copy-default-kfg.sh

=== test/fuse/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

default: runtests

runtests:

TOP ?= $(abspath ../..)

MODULE = test/fuse

TEST_TOOLS =

include $(TOP)/build/Makefile.env

$(TEST_TOOLS): makedirs
	@ $(MAKE_CMD) $(TEST_BINDIR)/$@

.PHONY: $(TEST_TOOLS)

clean: stdclean

#-------------------------------------------------------------------------------
# remote-fuser-test
#
REMOTE_FUSER_TEST_SRC = \
	remote-fuser-test   \
	utils

REMOTE_FUSER_TEST_OBJ = \
	$(addsuffix .$(OBJX),$(REMOTE_FUSER_TEST_SRC))
    
REMOTE_FUSER_TEST_LIB =   \
	-sncbi-vdb-static   \
	-skapp

$(TEST_BINDIR)/remote-fuser-test: $(REMOTE_FUSER_TEST_OBJ)
	$(LP) --exe -o $@ $^ $(REMOTE_FUSER_TEST_LIB)

#-------------------------------------------------------------------------------
# slowtests: match output vs sra-pileup
#

ifeq (linux,$(BUILD_OS))
    ifneq (Ubuntu,$(OS_DISTRIBUTOR))
slowtests: run-test

run-test: $(TEST_BINDIR)/remote-fuser-test
	@$(SRCDIR)/remote_fuser_test.sh standard 180 $(TARGDIR)/bin

    else
slowtests:
    endif
else
slowtests:
endif

.PHONY: run-test

=== test/general-loader/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

default: runtests
	@ rm tmp.kfg

TOP ?= $(abspath ../..)

MODULE = test/general-loader

TEST_TOOLS = \
    test-general-loader \
	test-general-writer \
	test-gw-dumper

ALL_TOOLS = \
	$(TEST_TOOLS) \

include $(TOP)/build/Makefile.env

$(shell echo "vdb/schema/paths = \"$(VDB_INCDIR)\"" > tmp.kfg)
VDB_CONFIG = $(shell pwd)

INCDIRS += -I$(TOP)/tools/general-loader

$(ALL_TOOLS): makedirs
	@ $(MAKE_CMD) $(TEST_BINDIR)/$@

.PHONY: $(TEST_TOOLS)

clean: stdclean

#-------------------------------------------------------------------------------
# test-general-loader
#
TEST_GEN_LOAD_SRC = \
	test-general-loader \
    testsource

TEST_GEN_LOAD_OBJ = \
	$(addsuffix .$(OBJX),$(TEST_GEN_LOAD_SRC))

TEST_GEN_LOAD_LIB =   \
	-sncbi-wvdb-static  \
    -sload              \
	-skapp              \
    -sktst              \

$(TEST_BINDIR)/test-general-loader: $(TEST_GEN_LOAD_OBJ)
	$(LP) --exe -o $@ $^ $(TEST_GEN_LOAD_LIB)

gen_load: test-general-loader
	$(TEST_BINDIR)/test-general-loader

#-------------------------------------------------------------------------------
# test-general-writer
#
TEST_GEN_WRITE_SRC = \
	test-general-writer

TEST_GEN_WRITE_OBJ = \
	$(addsuffix .$(OBJX),$(TEST_GEN_WRITE_SRC))

TEST_GEN_WRITE_LIB =   \
    -L$(LIBDIR) \
    -sgeneral-writer


$(TEST_BINDIR)/test-general-writer: $(TEST_GEN_WRITE_OBJ)
	$(LP) --exe -o $@ $^ $(TEST_GEN_WRITE_LIB)

runtests:$(TEST_TOOLS) #piped-load-tests

piped-load-tests: $(ALL_TOOLS)
	-$(TEST_BINDIR)/test-general-writer | $(BINDIR)/general-loader -L=info
	-$(BINDIR)/vdb-dump -T table1 remote_db
	rm -rf remote_db

#-------------------------------------------------------------------------------
# test-gw-dumper
#
TEST_GW_DUMP_SRC = \
	test-gw-dumper

TEST_GW_DUMP_OBJ = \
	$(addsuffix .$(OBJX),$(TEST_GW_DUMP_SRC))

TEST_GW_DUMP_LIB =   \
	-sgeneral-writer  \

$(TEST_BINDIR)/test-gw-dumper: $(TEST_GW_DUMP_OBJ)
	$(LP) --exe -o $@ $^ $(TEST_GW_DUMP_LIB)

gw_dump: test-gw-dumper
	$(TEST_BINDIR)/$^

#-------------------------------------------------------------------------------
# general-loader tool tests
#
runtests: setup tool-tests 

setup:
	@ mkdir -p db

$(TEST_BINDIR)/makeinputs: makeinputs.cpp
	@# generate numbered input streams for tool tests
	$(CXX) makeinputs.cpp testsource.cpp -o $(TEST_BINDIR)/makeinputs -I$(INCDIRS) -L$(VDB_LIBDIR) -lncbi-vdb-static

tool-tests: $(TEST_BINDIR)/makeinputs
	@mkdir -p input && $(TEST_BINDIR)/makeinputs && rm $(TEST_BINDIR)/makeinputs
	@#    
	@# basic, unpacked
	@$(SRCDIR)/runtestcase.sh $(BINDIR) vdb-dump $(SRCDIR) 1 0 -I=$(VDB_INCDIR)
	@#    
	@# basic, packed
	@$(SRCDIR)/runtestcase.sh $(BINDIR) vdb-dump $(SRCDIR) 1packed 0 -I=$(VDB_INCDIR)
	@#    
	@# target db override 
	@# use 1.gl which specifies the target as actual/1/db, and override that to where the script expects to see the result
	@cp input/1.gl input/1override.gl && $(SRCDIR)/runtestcase.sh $(BINDIR) vdb-dump $(SRCDIR) 1override 0 "-I=$(VDB_INCDIR) --target actual/1override/db"
	@# same with the storthand option
	@cp input/1.gl input/1override.gl && $(SRCDIR)/runtestcase.sh $(BINDIR) vdb-dump $(SRCDIR) 1override 0 "-I=$(VDB_INCDIR) -T actual/1override/db"
	@#    
	@# error message event, unpacked
	@$(SRCDIR)/runtestcase.sh $(BINDIR) vdb-dump $(SRCDIR) 2 3 "-I=$(VDB_INCDIR) -L=err"
	@#    
	@# error message event, packed
	@$(SRCDIR)/runtestcase.sh $(BINDIR) vdb-dump $(SRCDIR) 2packed 3 "-I=$(VDB_INCDIR) -L=err"
	@#    
	@# empty default values, unpacked
	@$(SRCDIR)/runtestcase.sh $(BINDIR) vdb-dump $(SRCDIR) 3 0 -I=$(VDB_INCDIR)
	@#    
	@# empty default values, packed
	@$(SRCDIR)/runtestcase.sh $(BINDIR) vdb-dump $(SRCDIR) 3packed 0 -I=$(VDB_INCDIR)
	@#    
	@# move ahead event, unpacked
	@$(SRCDIR)/runtestcase.sh $(BINDIR) vdb-dump $(SRCDIR) 4 0 -I=$(VDB_INCDIR)
	@#    
	@# move ahead event, packed
	@$(SRCDIR)/runtestcase.sh $(BINDIR) vdb-dump $(SRCDIR) 4packed 0 -I=$(VDB_INCDIR)
	@#    
	@# integer compression (packed only)
	@$(SRCDIR)/runtestcase.sh $(BINDIR) vdb-dump $(SRCDIR) 5packed 0 "-L=info -I=$(VDB_INCDIR)"
	@#    
	@# software name in the metadata, unpacked   
	@$(SRCDIR)/runtestcase.sh $(BINDIR) kdbmeta $(SRCDIR) 6 0 "-L=info -I=$(VDB_INCDIR)" SOFTWARE/formatter
	@#    
	@# software name in the metadata, packed   
	@$(SRCDIR)/runtestcase.sh $(BINDIR) kdbmeta $(SRCDIR) 6packed 0 "-L=info -I=$(VDB_INCDIR)" SOFTWARE/formatter
	@#    
	@rm -rf input/*.gl actual/*
	@#
	@$(TOP)/$(MODULE)/VDB-3250/prepare_test_data.sh $(TOP) $(TEST_BINDIR)

one-tool: $(TEST_BINDIR)/makeinputs
	@mkdir -p input && $(TEST_BINDIR)/makeinputs && rm $(TEST_BINDIR)/makeinputs
	@$(SRCDIR)/runtestcase.sh $(BINDIR) kdbmeta $(SRCDIR) 6 0 "-L=info -I=$(VDB_INCDIR)" SOFTWARE/formatter


#-------------------------------------------------------------------------------
# general-loader tool tests
#
slowtests: #piped-dump

piped-dump: $(BINDIR)/pileup-stats test-general-loader
	#$(BINDIR)/pileup-stats SRR1063272 | $(BINDIR)/general-loader #-L=info
	$(BINDIR)/pileup-stats SRR1232302 | $(BINDIR)/general-loader -L=info

=== test/kar/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

default: runtests

TOP ?= $(abspath ../..)

MODULE = test/kar

TEST_TOOLS = 

include $(TOP)/build/Makefile.env

$(TEST_TOOLS): makedirs
	@ $(MAKE_CMD) $(TEST_BINDIR)/$@

runtests: kar_test 

#-------------------------------------------------------------------------------
# scripted tests
#
kar_test: kar-test.sh
	@ echo "Starting kar tests..."
	@ bash kar-test.sh $(BINDIR)/kar

kar:
	rm -rf actual
	mkdir -p actual
	$(BINDIR)/kar -c actual/1.0.kar -d input/1.0; $(BINDIR)/kar -t actual/1.0.kar >actual/1.0.stdout; diff expected/1.0.stdout actual/1.0.stdout
	rm -rf actual
	@ python $(TOP)/build/check-exit-code.py $(BINDIR)/kar

.PHONY: $(TEST_TOOLS)

clean: stdclean

=== test/kget/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

default: runtests

TOP ?= $(abspath ../..)

MODULE = test/kget

TEST_TOOLS = \

include $(TOP)/build/Makefile.env

.PHONY: $(TEST_TOOLS)

#-------------------------------------------------------------------------------
# runtests: 
#
runtests: download

download:
	export PATH=$(BINDIR):$$PATH; export VDB_CONFIG=`pwd` ; \
		python test_kget.py # expect rc = 0 

#-------------------------------------------------------------------------------
# slowtests: match output vs wget
#

slowtests: diff-vs-wget

ACCESSION = SRR072810
URL = http://sra-download.ncbi.nlm.nih.gov/srapub/$(ACCESSION)

clean:
	rm -f $(ACCESSION)*

diff-vs-wget: clean
	$(BINDIR)/kget --reliable -c ./$(ACCESSION).cachetee $(URL) $(ACCESSION).dat --progress
	wget --no-check-certificate $(URL)
	diff ./$(ACCESSION) ./$(ACCESSION).dat
	#diff $(ACCESSION).sra ./$(ACCESSION).cachetee
	rm -f $(ACCESSION)*


.PHONY:

=== test/srapath/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

default: runtests

TOP ?= $(abspath ../..)

MODULE = test/srapath

TEST_TOOLS = 

include $(TOP)/build/Makefile.env

$(TEST_TOOLS): makedirs
	@ $(MAKE_CMD) $(TEST_BINDIR)/$@

runtests: check_exit_code

#-------------------------------------------------------------------------------
# scripted tests
#

check_exit_code:
	@ python $(TOP)/build/check-exit-code.py $(BINDIR)/srapath

.PHONY: $(TEST_TOOLS)

clean: stdclean

=== test/vdb-config/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

default: runtests

TOP ?= $(abspath ../..)
include $(TOP)/build/Makefile.env # BINDIR

runtests: test-vdb-config

test-vdb-config:
	@ printf "Testing exit code vdb-config of vdb-config... "
	@ PATH=$(BINDIR):$(PATH) ; ./test-vdb-config.pl
	@ echo OK

## sra-sdk 2.8.2-3+dfsg

=== debian/changelog ===
sra-sdk (2.8.2-3+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata:
    - added references to registries
    - yamllint cleanliness

  [ Andreas Tille ]
  * New upstream version
  * cme fix dpkg-control
  * Standards-Version: 4.1.1
  * debhelper 10
  * renamed function to resolve name clash with gnutards to avoid
    FTBFS with glibc 2.25
    Closes: #882349
  * Drop test that should not run as root

 -- Andreas Tille <tille@debian.org>  Mon, 04 Dec 2017 08:29:02 +0100

=== debian/control ===
Source: sra-sdk
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               libngs-sdk-dev,
               libncbi-vdb-dev,
               libfuse-dev,
               libhdf5-dev,
               libmagic-dev,
               libxml2-dev
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/sra-sdk.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/sra-sdk.git
Homepage: https://github.com/ncbi/sra-tools/

Package: sra-toolkit
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: med-config (>= 2.1)
Description: utilities for the NCBI Sequence Read Archive
 Tools for reading the SRA archive, generally by converting individual runs
 into some commonly used format such as fastq.
 .
 The textual dumpers "sra-dump" and "vdb-dump" are provided in this
 release as an aid in visual inspection. It is likely that their
 actual output formatting will be changed in the near future to a
 stricter, more formalized representation[s]. PLEASE DO NOT RELY UPON
 THE OUTPUT FORMAT SEEN IN THIS RELEASE.
 .
 The "help" information will be improved in near future releases, and
 the tool options will become standardized across the set. More documentation
 will also be provided documentation on the NCBI web site.
 .
 Tool options may change in the next release. Version 1 tool options
 will remain supported wherever possible in order to preserve
 operation of any existing scripts.

## sra-sdk 2.8.2-5+dfsg

=== debian/changelog ===
sra-sdk (2.8.2-5+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3

 -- Andreas Tille <tille@debian.org>  Sun, 18 Feb 2018 15:44:10 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libhdf5-dev,
                libmagic-dev,
                libxml2-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/sra-sdk.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/sra-sdk.git
 Homepage: https://github.com/ncbi/sra-tools/

=== debian/rules ===
#!/usr/bin/make -f

# +pie breaks the build
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

pkg := sra-toolkit

%:
	dh $@ --no-parallel

OUTDIR=$(CURDIR)/debian/tmp
MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

override_dh_auto_clean:

override_dh_clean:
	dh_clean
	rm -f build/OUTDIR.linux

override_dh_update_autotools_config:
	echo "do nothing"

override_dh_auto_configure:
	# output dir will be checked so create it before
	mkdir -p debian/tmp/usr/lib
	ln -s /usr/lib/$(MULTIARCH) debian/tmp/usr/lib
	#
        # that's no standard configure script lacking support of default options
	#
	# --with-debug sets some options that require header files like compiler.h which
	# is internal to ncbi-vcb and not installed into the package - so this option
	# should not be used.
	./configure --build=$(MULTIARCH) --prefix=$(CURDIR)/debian/tmp/usr --build-prefix=$(CURDIR)/debian/tmp/usr --with-ngs-sdk-prefix=/usr

override_dh_auto_build:
	export LD_LIBRARY_PATH="$$LD_LIBRARY_PATH:$(OUTDIR)/lib"; export OUTDIR=$(OUTDIR) ; make DEB_CFLAGS="$(CFLAGS)" DEB_LDFLAGS="$(LDFLAGS)"

override_dh_install:
	# upstream installs versioned *.a libs - we only want a single version
	for bin in debian/tmp/usr/bin/*[a-z] ; do \
	    mv debian/tmp/usr/bin/`readlink $$bin` $$bin ; \
	    mv debian/tmp/usr/bin/`readlink $$bin` $$bin ; \
	done
	dh_install
	# remove susipcious file which is not executable and conflicts with package magic
	rm -f debian/*/usr/bin/magic
	# rename kget which conflicts with kget download manager (see #851219)
	mv debian/$(pkg)/usr/bin/kget debian/$(pkg)/usr/bin/vdb-get

#override_dh_auto_test:
#	echo "FIXME: try activating tests!!!!!!!!!!!!!!!!!!!!!!!!"

override_dh_prep:
	dh_prep -X debian/tmp

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/ncbi/sra-tools/releases .*/archive/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## sra-sdk 2.9.1-1+dfsg

=== debian/changelog ===
sra-sdk (2.9.1-1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Set Build-Depends: libncbi-vdb-dev (>=2.9.1) to avoid undefined symbol
    errors

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Thu, 05 Jul 2018 19:13:15 +0300

sra-sdk (2.9.1-1+dfsg-1) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * New upstream version
  * debhelper 11
  * New Build-Depends: libvdb-sqlite-dev, versioned Build-Depends
    libncbi-vdb-dev (>= 2.9.0)
  * Exclude strangely failing test align-cache (needs investigation)

  [ Liubov Chuprikova ]
  * Add autopkgtest
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Sun, 01 Jul 2018 08:22:54 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,18 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               libngs-sdk-dev,
-               libncbi-vdb-dev,
+Build-Depends: debhelper (>= 11~),
+               libngs-sdk-dev (>= 2.9.0),
+               libncbi-vdb-dev (>= 2.9.1),
+               libvdb-sqlite-dev,
                libfuse-dev,
                libhdf5-dev,
                libmagic-dev,
-               libxml2-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/sra-sdk.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/sra-sdk.git
+               libxml2-dev,
+               python
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/sra-sdk
+Vcs-Git: https://salsa.debian.org/med-team/sra-sdk.git
 Homepage: https://github.com/ncbi/sra-tools/
 
 Package: sra-toolkit
